fileserver                 AFS Commands              fileserver


NAME

   fileserver -- initialize   File   Server  component  of  fs

                       process.


   /usr/afs/bin/fileserver [-b <buffers>]  [-banner]  [-cb
   <callbacks>]
   [-d <debug level>]  [-k <stack size>]  [-l <large vnodes>]
            [-oldvldb]  [-pctspare <percent>]  [-rxdbg]
   [-rxdbge]  [-rxpck]
   [-s <small vnodes>]  [-spare <kilobyte blocks>]
   [-w <callback wait interval>]
   [-c <check interval>]  [-ftpck <r ftp packets>]  [-noauth]
            [-p <LWPs>]  [-r <r retry count>]  [-rpck <r
   packets

DESCRIPTION

   Initializes the File Server component of the fs process.

   The arguments on fileserver allow the issuer to control many
   aspects  of  its  behavior,  as  detailed  in  the ARGUMENTS
   section.

   Perhaps  the  most  important  aspect  to  control  from  an
   administrative standpoint is that by default the File Server
   allows users to store up to a megabyte (1024  kilobytes)  of
   data  in a volume after the volume's quota is exceeded.  The
   user still cannot create new files after quota is  exceeded.
   The  issuer  of this command can change the default with the
   -spare or -pctspare arguments:

      - -spare specifies  the  number  of  kilobytes  over
        quota  the  File Server will allow.  To make users
        unable to store files after the quota is exceeded,
        specify a value of 0.

      - -pctspare  expresses the amount of excess the File
        Server will allow as a percentage of the  volume's
        quota.

WARNING

   This  command  is  not  normally issued at the command shell
   prompt, but rather  placed  into  a  file  server  machine's
   /usr/afs/local/BosConfig with the bos create command.  If it
   is ever issued at the command shell prompt, the issuer  must
   be working on a file server machine.

   Several  of this command's arguments are intended for use by
   AFS developers only.    Changing  them  from  their  default
   values   is   strongly   discouraged   and   may  result  in
   unpredictable File Server behavior.  The relevant  arguments
   are marked in the ARGUMENTS section.

   This  command does not use the syntax conventions of the AFS
   command suites, so the command  and  switch  names  must  be
   typed in full.

   Do  not  specify both -spare and -pctspare.  Doing so causes



   the File  Server  to  exit,  leaving  an  error  message  in
   /usr/afs/logs/FileLog.

ARGUMENTS

   -b           sets the number of directory buffers, which are
                2 kilobytes each.  Provide a positive  integer.
                The default is 70.

   -banner      causes  the File Server to prints the following
                banner to /dev/console about every 10 minutes.

                    File Server is running at time.

   -cb          sets the number of callbacks  the  File  Server
                can  track.    Provide a positive integer.  The
                default is 20,000.

   -d           sets the detail level for the  debugging  trace
                the      File      Server      produces      in
                /usr/afs/logs/FileLog.    Provide  a   positive
                integer;  higher values (up to a point) produce
                greater  detail.    The  default  level  of   0
                produces no trace.

   -k           sets the LWP stack size in units of 1 kilobyte.
                Provide a positive integer.  The default is  24
                (kilobytes).    Do  not set this argument lower
                than the default.

   -l           sets the number of large  vnodes  to  use  (for
                tracking   directory   elements).    Provide  a
                positive integer.  The default is 200.

   -oldvldb     directs the File Server to use  the  pre-AFS  3
                volume  location  facility rather than the VLDB
                and VL Server.

   -pctspare    specifies the amount by which the  File  Server
                will  allow  a volume to exceed its quota, as a
                percentage of the quota.   Provide  an  integer
                between  0  and  99.  A value of 0 prevents the
                volume from ever exceeding its quota.   Do  not
                combine this argument with -spare.

   -rxdbg       sends  an Rx debugging trace to the rx_dbg file
                in the current working directory.

   -rxdbge      sends an Rx event debugging trace to the rx_dbg
                file in the current working directory.

   -rxpck       sets the number of extra Rx packets to reserve.
                Provide a positive integer.    The  default  is
                100.    Do  not use this argument; changing its
                default may cause unpredictable behavior.

   -s           sets the number of small  vnodes  to  use  (for
                tracking  file  elements).   Provide a positive
                integer. The default is 200.

   -spare       specifies the number  of  extra  kilobytes  the



                File  Server  will  allow  users  to store in a
                volume after its quota is exceeded.  Provide  a
                positive  integer.    A value of 0 prevents the
                volume from ever exceeding its quota.   Do  not
                combine this argument with -pctspare.

   -w           sets  the  interval at which daemons spawned by
                the  File  Server  perform  their   maintenance
                tasks.  The default is 300 seconds (5 minutes).
                Do not use this argument; changing its  default
                may cause unpredictable behavior.

   -c           is not implemented.

   -ftpck       is obsolete.

   -noauth      is obsolete.

   -p           is obsolete.

   -r           is obsolete.

   -rpck        is obsolete.

EXAMPLES

   The  following  bos create  command creates an fs process on
   fs2.transarc.com that allows volumes to exceed  their  quota
   by 10%.

   Type the command on a single line.

   % bos create fs2.transarc.com fs fs "/usr/afs/bin/fileserver
   -pctspare 10"
   /usr/afs/bin/volserver  /usr/afs/bin/salvager

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList to place this
   command in /usr/afs/local/BosConfig,  because  that  is  the
   privilege required to issue bos create.

MORE INFORMATION

   bos create
